The Mid District Cup, presently called the Worthington Mid District Cup for sponsorship reasons, is an annual rugby union competition that is contested between clubs in South Wales. The competition is a knock-out format and teams from the Welsh Premier Division are not eligible to participate. Organised by the Mid District Rugby Union, the competition is available to any team that is affiliated to the body.

Mid District Cup finals Year Winners Losing Finalists Score Venue 2004 Beddau RFC 2005 Beddau RFC 2006 Beddau RFC 2007 Beddau RFC Merthyr RFC 18-12 2008 Beddau RFC Ystrad Rhondda RFC 14-13 2009 Bargoed RFC Caerphilly RFC 29-26 Rugby Park, Beddau 2010 Mountain Ash RFC Merthyr RFC 21-16 Virginia Park, Caerphilly 2011 Merthyr RFC Gilfach Goch RFC 21-15 Graig Park, Penygraig 2012 Treorchy RFC Bargoed RFC 31-15 Sardis Road, Pontypridd 2013 Beddau RFC Bargoed RFC 31-20 Sardis Road, Pontypridd 2014 Bargoed RFC Ystrad Rhondda RFC 29-28 2015 Bargoed RFC Merthyr RFC 39-20 Sardis Road, Pontypridd

Notes